Create Discount

Creates a new discount

šŸ”’

Required scope: Discount_Create

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

Configuration details of a discount that specify its behaviour, for creating a discount

string
length ≤ 128

Name of the discount (This is not the discount code)

number | null

The fixed value amount to discount (in venue currency). This field must be null if this is a percentOff type discount.

number | null

The percent of eligible products to discount. This field must be null if this is an amountOff type discount.

productIds
array of strings

List of product ID's eligible for being discounted.

  • If this is left blank, all products ongoing (excl. gift cards) will be eligible.
  • If gift card products are included in the list, then it can only contain gift card products.
productIds
salesChannels
array

Sales channels where this discount can be redeemed. Optional. An empty list means the discount applies to all sales channels.

salesChannels
Allowed:
discountGenerationChannels
array

Sales channels on which discount codes will be auto-generated for this discount when an eligible booking is completed. Optional. An empty list means generation runs on all sales channels.

discountGenerationChannels
Allowed:
boolean

Whether we print issued discount codes on receipts for this discount

date | null

Booking dates that occur after this date (inclusive) are eligible to have this discount applied. If this field is used, endDate will not be null.

date | null

Booking dates that occur before this date (inclusive) are eligible to have this discount applied. If this field is used, startDate will not be null.

integer | null

The number of uses of this discount when a usage limit rule is configured for the discount. This field is null when the discount has unlimited usage. If this field is used, usageLimitType will not be null.

enum

The type of usage limit rule configured for the discount. This field is null when the discount has unlimited usage. If this field is used, usageLimit will not be null.

Allowed:
Response

Language
Credentials
OAuth2
Missing 1 required scope
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json